- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
_DMXConfigVirtual Struct Reference

`#include <dmxparse.h>`

## Data Fields
const char * | name
int | width
int | height
DMXConfigTokenPtr | start
DMXConfigStringPtr | vname
DMXConfigPairPtr | dim
DMXConfigTokenPtr | open
DMXConfigSubPtr | subentry
DMXConfigTokenPtr | close

## Detailed Description

Stores parsed virtual information.

## Field Documentation

DMXConfigTokenPtr _DMXConfigVirtual::close

Referenced by dmxConfigCreateVirtual(), and dmxConfigPrintVirtual().

DMXConfigPairPtr _DMXConfigVirtual::dim

Referenced by dmxConfigCopyData(), dmxConfigCreateVirtual(), and dmxConfigPrintVirtual().

int _DMXConfigVirtual::height

Referenced by dmxConfigCreateVirtual(), dmxConfigECCallback(), dmxConfigECOkCallback(), dmxConfigGetDims(), dmxConfigNCCallback(), and dmxConfigPrintVirtual().

const char* _DMXConfigVirtual::name

Referenced by dmxConfigCopystrings(), dmxConfigCreateVirtual(), dmxConfigDataUpdate(), dmxConfigECCallback(), dmxConfigECOkCallback(), dmxConfigMatch(), dmxConfigPrintVirtual(), and dmxConfigSetupCnamemenu().

DMXConfigTokenPtr _DMXConfigVirtual::open

Referenced by dmxConfigCreateVirtual(), and dmxConfigPrintVirtual().

DMXConfigTokenPtr _DMXConfigVirtual::start

Referenced by dmxConfigCreateVirtual(), and dmxConfigPrintVirtual().

DMXConfigSubPtr _DMXConfigVirtual::subentry

Referenced by dmxConfigCanvasUpdate(), dmxConfigCopyData(), dmxConfigCopystrings(), dmxConfigCreateVirtual(), dmxConfigDDCallback(), dmxConfigFindDisplay(), dmxConfigGetDims(), dmxConfigNDCallback(), and dmxConfigPrintVirtual().

DMXConfigStringPtr _DMXConfigVirtual::vname

Referenced by dmxConfigCreateVirtual(), and dmxConfigPrintVirtual().

int _DMXConfigVirtual::width

Referenced by dmxConfigCreateVirtual(), dmxConfigECCallback(), dmxConfigECOkCallback(), dmxConfigGetDims(), dmxConfigNCCallback(), and dmxConfigPrintVirtual().

The documentation for this struct was generated from the following file:

- dmxparse.h